
dofile( "data/scripts/lib/utilities.lua" )
dofile_once( "data/scripts/perks/perk.lua")

function OnPlayerSpawned( player_entity )
    if GameHasFlagRun("COPIS_MODDING_ADDED") == false then
        local x, y = EntityGetTransform(player_entity)

        
        local perk = perk_spawn(x, y, "BREATH_UNDERWATER")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "PROTECTION_FIRE")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "PROTECTION_RADIOACTIVITY")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "PROTECTION_EXPLOSION")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "PROTECTION_MELEE")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "PROTECTION_ELECTRICITY")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "EDIT_WANDS_EVERYWHERE")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "PEACE_WITH_GODS")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "REMOVE_FOG_OF_WAR")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        local perk = perk_spawn(x, y, "IRON_STOMACH")
        perk_pickup(perk, player_entity, EntityGetName(perk), false, false)

        local times = 8
        local x, y = EntityGetTransform(player_entity)
        for i = 1,times,1 do
            local perk = perk_spawn(x, y, "REPELLING_CAPE")
            perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        end

        local times = 16
        for i = 1,times,1 do
            local perk = perk_spawn(x, y, "STAINLESS_ARMOUR")
            perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        end

        local times = 25
        for i = 1,times,1 do
            local perk = perk_spawn(x, y, "RESPAWN")
            perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        end

        local times = 25
        for i = 1,times,1 do
            local perk = perk_spawn(x, y, "HOVER_BOOST")
            perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        end

        local times = 20
        for i = 1,times,1 do
            local perk = perk_spawn(x, y, "EXTRA_HP")
            perk_pickup(perk, player_entity, EntityGetName(perk), false, false)
        end


        EntityLoad("data/entities/items/wands/custom/digger_01.xml", x+5, y)



        GameAddFlagRun("COPIS_MODDING_ADDED")
    end
end

GamePrint("Good luck modding!")